<!--
 * @Date: 2024-05-20 21:43:10
 * @LastEditors: Sneed
 * @LastEditTime: 2024-05-26 16:02:09
 * @FilePath: /belleson-frontend/Users/mache/Documents/demo/cps-web/src/views/dnc/station-file/index.vue
-->
<template>
    <el-main style="height: 100%;">
        <el-card shadow="never" style="height: 100%;" body-style="height: 100%">
            <el-container>
                <el-aside width="200px">
                    <el-container>
                        <el-main>
                            <MYTree :props="props" v-model="treeChecked" @loaded="query"></MYTree>
                        </el-main>
                        <!-- <el-footer>
                            <el-button type="primary" round @click="addFolder">新增文件夹</el-button>
                        </el-footer> -->
                    </el-container>
                </el-aside>
                <el-main>
                    <el-tabs v-model="activeName" type="card" class="demo-tabs" @tab-click="handleClick">
                        <el-tab-pane label="工位文件" name="1">
                            <File></File>
                        </el-tab-pane>
                        <el-tab-pane label="操作日志" name="2">
                            <Log :id="id"/>
                        </el-tab-pane>
                    </el-tabs>
                </el-main>
            </el-container>
        </el-card>
    </el-main>
</template>

<script>
import Log from './Log.vue'
import File from './File.vue'
import MYTree from '@/views/mdc/MYTree.vue'
export default {
    components: {
        Log,
        File,
        MYTree
    },
    data() {
        return {
            id: '',
            activeName: '2',
            treeChecked: {},
            props: {
                disabled: function (data,node) {
                    return !data.ftpCatalogue
                }
            }
        }
    },
    watch: {
        treeChecked(val) {
            console.log(val,'>>>>>>')
            this.id = val?.[0]
        }
    },
    methods: {
        query () {

        }
    }
}
</script>

<style lang="scss" scoped></style>